/* ================== */
/* ===      Auth Styles      === */
/* ================== */

body.auth-single {
  display: flex;
  align-items: center;
  justify-content: center;
}

main {
  all: unset;
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  grid-template-areas: "left right";
}

.leftBx,
.rightBx {
  height: 100dvh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.auth-container {
  width: clamp(300px, 90vw, 500px);
  background: color-mix(in oklab, var(--background) 70%, transparent);
  border: 2px solid var(--foreground);
  border-radius: var(--radius);
  padding: 1em 2em;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.auth-container .inputBx {
  position: relative;
  width: 100%;
  margin: 20px 0;
}

.auth-container .inputBx input {
  position: relative;
  height: 40px;
  width: 100%;
  border: 1px solid transparent;
  border-bottom: 1px solid var(--foreground);
  border-radius: 0;
  outline: none;
  background: none;
  padding: 10px;
  padding-bottom: 7.5px;
  font-weight: 500;
  font-size: 1em;
  color: var(--foreground);
}

.auth-container .inputBx input:hover,
.auth-container .inputBx input:focus {
  background: color-mix(in oklch, var(--muted) 70%, transparent);
}

.auth-container .inputBx input:valid {
  border: 1px solid var(--foreground);
}

.auth-container .inputBx label {
  position: absolute;
  left: 0;
  font-style: normal;
  color: var(--muted-foreground);
  transition: 0.5s;
  pointer-events: none;
}

.auth-container .inputBx input:focus ~ label,
.auth-container .inputBx input:valid ~ label {
  transform: translateY(-27px);
  font-size: 0.8em;
  color: var(--foreground);
  border: 1px solid var(--foreground);
  border-top-left-radius: var(--radius);
  border-top-right-radius: var(--radius);
  padding: 4px 4px;
  transition-delay: border 0.5s;
}

.auth-container .passwordBx {
  width: 100%;
  position: relative;
  display: grid;
  grid-template-columns: 1fr 40px;
  grid-template-areas: "input icon";
  align-items: center;
}

.auth-container .passwordBx .inputBx {
  grid-area: input;
}

.auth-container .passwordBx .icon {
  grid-area: icon;
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid var(--foreground);
  background: var(--background);
  cursor: pointer;
}

.auth-container .passwordBx .icon:hover {
  background: var(--foreground);
  color: var(--background);
}

.auth-container .passwordBx .icon svg {
  width: 20px;
  height: 20px;
  fill: var(--foreground);
}

.auth-container .passwordBx .icon:hover svg {
  fill: var(--background);
}

.auth-container .links {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
}

.auth-container .links a {
  font-size: 0.8em;
  color: var(--muted-foreground);
}

.auth-container .links a:hover {
  color: var(--foreground);
  text-decoration: underline;
}

.auth-container input[type="submit"] {
  background: var(--foreground);
  color: var(--background);
  width: 80%;
  border: none;
  padding: 12px;
  font-size: 1em;
  font-weight: 600;
  border-radius: var(--radius);
  cursor: pointer;
}

.auth-container hr {
  width: 60%;
  margin: 12px;
}

.auth-container .socials {
  width: 80%;
  display: flex;
}

.auth-container .socials div {
  flex: 1 1 180px;
  padding: 10px;
  border: 1px solid var(--foreground);
  border-radius: var(--radius);
  text-align: center;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
}

.auth-container .socials div:first-child {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}
.auth-container .socials div:last-child {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.auth-container .socials div:hover {
  background: var(--foreground);
  color: var(--background);
}

.auth-container .socials div img {
  width: 20px;
  height: 20px;
  padding: 4px;
  background: var(--background);
  border-radius: 4px;
  scale: 1.5;
}

@media (max-width: 768px) {
  body {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-areas: "main";
  }

  body a {
    padding: 0.25em;
  }

  .leftBx,
  .rightBx {
    grid-area: main;
    height: 100vh;
    width: 100vw;
  }

  .leftBx:has(img[fetchpriority="high"]),
  .rightBx:has(img[fetchpriority="high"]) {
    z-index: -1;
  }

  .auth-container .links {
    flex-direction: column;
    align-items: stretch;
    text-align: center;
  }

  .auth-container input[type="submit"] {
    width: 100%;
  }

  .auth-container .socials {
    width: 100%;
  }
}
